<template>
  <v-container fluid>
    <v-row
      dense
      justify="center"
    >
      <v-col
        align="center"
        cols="12"
      >
        <v-btn
          rounded
          color="success"
          :href="$t('relayPoints.button.route')"
          dark
          class="elevation-0"
        >
          {{ $t('relayPoints.button.label') }}
        </v-btn>
      </v-col>
    </v-row>
    <v-row
      justify="center"
      class="mt-8"
    >
      <h4> {{ $t('mobility.title') }} </h4>
    </v-row>
    <v-row
      align="start"
      justify="center"
    >
      <v-col cols="3">
        <p>{{ $t('TCTitle') }}</p>
        <a
          :href="$t('linkLogoLioOccitanie')"
          target="_blank"
        >
          <v-img
            class="mt-12"
            :src="$t('urlLogoLioOccitanie')"
          />
        </a>
      </v-col>
      <v-divider
        class="ma-3"
        light
        vertical
      />
      <v-col cols="3">
        <p>{{ $t('dynamicSignsTitle') }}</p>

        <a
          :href="$t('linkLogoCasquette')"
          target="_blank"
        >
          <v-img
            :src="$t('urlLogoCasquette')"
          />
        </a>
      </v-col>
      <v-divider
        class="ma-3"
        light
        vertical
      />
      <v-col cols="2">
        <p>{{ $t('rezoPouceTitle') }}</p>
        <a
          :href="$t('linkLogoRezopouce')"
          target="_blank"
        >
          <v-img 
            :height="151"
            :width="auto"
            contain
            :src="$t('urlLogoRezopouce')"
          />
        </a>
      </v-col>
    </v-row>
   
    <v-row
      justify="center"
      class="mt-12"
    >
      <v-col
        v-if="communityDisplay"
        align="center"
        cols="4"
      >
        <m-card
          background-color="info"
          text-color="white--text"
          :card-title="this.$t('community.title')"
          :card-text-button="this.$t('community.button.label')"
          card-text-color-button="info--text"
          card-color-button="white"
          :href-button="this.$t('community.button.route')"
          bold-title
          class-title="headline"
          justify-title="text-left"
          height-title="160px"
          height="250"
          flat
          tile
        />
      </v-col>
      <v-col
        v-if="eventDisplay"
        align="center"
        cols="4"
      >
        <m-card
          background-color="info"
          text-color="white--text"
          :card-title="this.$t('event.title')"
          :card-text-button="this.$t('event.button.label')"
          card-text-color-button="info--text"
          card-color-button="white"
          :href-button="this.$t('event.button.route')"
          bold-title
          class-title="headline"
          justify-title="text-left"
          height-title="108px"
          height="250"
          flat
          tile
          :user-id="userId"
          :must-be-logged-button-two="true"
          :must-be-logged-button-text-two="$t('mustMeLogged')"
          :card-text-button-two="$t('eventCreate.button2.label')"
          card-text-color-button-two="info--text"
          card-color-button-two="white"
          :href-button-two="$t('eventCreate.button2.route')"
        />
      </v-col>
      <v-col
        v-if="solidaryDisplay"
        align="center"
        cols="4"
      >
        <m-card
          background-color="info"
          text-color="white--text"
          :card-title="this.$t('solidary.title')"
          :card-text-button="this.$t('solidary.button.label')"
          card-text-color-button="info--text"
          card-color-button="white"
          :href-button="mobileUrl+this.$t('solidary.button.route')"
          :card-text-button-two="this.$t('solidary.button2.label')"
          card-text-color-button-two="info--text"
          card-color-button-two="white"
          :href-button-two="this.$t('solidary.button2.route')"
          bold-title
          class-title="headline"
          justify-title="text-left"
          height-title="108px"
          height="250"
          flat
          tile
          :user-id="userId"
          :must-be-logged-button-two="true"
          :must-be-logged-button-text-two="$t('mustMeLogged')"
        />
      </v-col>
    </v-row>
  </v-container>
</template>
<script>
import {merge} from "lodash";
import MCard from '@js/components/utilities/MCard'
import {messages_en, messages_fr, messages_eu} from "@translations/components/home/HomeContent/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/home/HomeContent/";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    MCard
  },
  props: {
    solidaryDisplay: {
      type: Boolean,
      default: false
    },
    eventDisplay: {
      type: Boolean,
      default: false
    },
    communityDisplay: {
      type: Boolean,
      default: false
    },
    urlMobile: {
      type: String,
      default: null
    },
    userId: {
      type: Number,
      default: null
    }
  },
  data () {
    return {
      mobileUrl: this.urlMobile
    }
  },
}
</script>